Subject: [Patches] Add and update music packages

From: Sughosha <[email-masked]>
Date: Tue, 28 Jun 2022 08:30:42 +0000

Hi Alice,

First of all, thanks for reviewing my patches :)
> - your description of Fabla doesn't add much information compared to the synopsis. What makes it special ? How is it different from the other similar tools ? (see https://guix.gnu.org/fr/manual/devel/en/html_node/Synopses-and-Descriptions.html#Synopses-and-Descriptions for inspiration)
I will improve the descriptions.
> - the other packages seem to have more extensive description, but they make very long lines, have you tried formatting your package using the `guix style` command ? (https://guix.gnu.org/fr/manual/devel/en/html_node/Formatting-Code.html#Formatting-Code)
Sorry that I have forgot this step. I will do it.
> - you seem to consistently use the "old" syntax for packages in native-inputs, as opposed to inputs, is there a good reason for that or have you maybe only found examples where the native-inputs haven't been modernized ? While it makes sense to rename `cmake-minimal` to `cmake` in the definition of `distrho-ports` (though I wonder `luppp` didn't require the same renaming and keeps the key "cmake-minimal" for `cmake-minimal`, all the others occurrences (`("pkg-config" ,pkg config)`, `("lv2" ,lv2)`…) are totally unneeded for as far as I understand and could be simplified as `(list pkg-config lv2 mesa)`.
It's just that I practiced to use the old way for native-inputs. Many packages require to do so, for example `("glib:bin" ,glib "bin")` cannot be declared as somethig like `(list glib)` (as far as I know). It's just that mejority of the packages I defined had required such type of native-inputs, so I practiced it that way.
> I'm also a bit curious as to why tests need to be explicitly deactivated in `sorcer`, does running the default cmake command to test the project result in a failure, not just a NOP ?
`sorcer` was initially not packaged by me. It was failing to build, so I updated it to the most recent commit and removed the commands in the arguments which are no longer required in this commit. Disabling the tests is as it was before, as in the comment it says that tests are not defined in the git repository.

I will improve the patches, fixing mistakes, and then resend the patches.
Thank you.